# std::experimental::latch::wait

From cppreference.com
< cpp‎ | experimental‎ | latch

void wait() const; | (1) | (concurrency TS)

Blocks the calling thread until the internal counter reaches `0`. If it is zero already, returns immediately.

### Parameters

(none)

### Return value

(none)

### Exceptions

Throws nothing.

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/latch/wait&oldid=82264"